package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: AddressWithoutSeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:49
 */
@Data
public class Nft038AddressWithoutSeriesListResp implements Serializable {
    /**
     * 藏品总数
     */
    private Long total;
    /**
     * nft元信息列表
     */
    private List<NftInfo> nftList;

    private static final Nft038AddressWithoutSeriesListResp obj = new Nft038AddressWithoutSeriesListResp();
    public static Nft038AddressWithoutSeriesListResp getNew() {
        try {
            return (Nft038AddressWithoutSeriesListResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft038AddressWithoutSeriesListResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
